Skip to main content
GET
/
porting
/
reports
/
{id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const report = await client.porting.reports.retrieve('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');

console.log(report.data);
import os
from telnyx import Telnyx

client = Telnyx(
    api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
)
report = client.porting.reports.retrieve(
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(report.data)
package main

import (
	"context"
	"fmt"

	"github.com/team-telnyx/telnyx-go"
	"github.com/team-telnyx/telnyx-go/option"
)

func main() {
	client := telnyx.NewClient(
		option.WithAPIKey("My API Key"),
	)
	report, err := client.Porting.Reports.Get(context.TODO(), "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
	if err != nil {
		panic(err.Error())
	}
	fmt.Printf("%+v\n", report.Data)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.porting.reports.ReportRetrieveParams;
import com.telnyx.sdk.models.porting.reports.ReportRetrieveResponse;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        TelnyxClient client = TelnyxOkHttpClient.fromEnv();

        ReportRetrieveResponse report = client.porting().reports().retrieve("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
    }
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

report = telnyx.porting.reports.retrieve("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")

puts(report)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
  $report = $client->porting->reports->retrieve(
    '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e'
  );

  var_dump($report);
} catch (APIException $e) {
  echo $e->getMessage();
}
telnyx porting:reports retrieve \
  --api-key 'My API Key' \
  --id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
curl --request GET \
  --url https://api.telnyx.com/v2/porting/reports/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "eef3340b-8903-4466-b445-89b697315a3a",
    "report_type": "export_porting_orders_csv",
    "status": "completed",
    "params": {
      "filters": {
        "status__in": [],
        "customer_reference__in": [
          "my-customer-reference"
        ],
        "created_at__lt": "2023-11-07T05:31:56Z",
        "created_at__gt": "2023-11-07T05:31:56Z"
      }
    },
    "document_id": "f1486bae-f067-460c-ad43-73a92848f902",
    "record_type": "porting_report",
    "created_at": "2021-03-19T10:07:15.527000Z",
    "updated_at": "2021-03-19T10:07:15.527000Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Identifies a report.

Response

Successful response

data
object